## e-cache-reaper-utils e-cache-reaper-utils |

## Functions

gboolean | e_reap_trash_directory_sync ()
void | e_reap_trash_directory ()
gboolean | e_reap_trash_directory_finish ()

## Description

## Functions

### e_reap_trash_directory_sync ()

    gboolean
    e_reap_trash_directory_sync (GFile *trash_directory,
                                 gint expiry_in_days,
                                 GCancellable *cancellable,
                                 GError **error);

### e_reap_trash_directory ()

    void
    e_reap_trash_directory (GFile *trash_directory,
                            gint expiry_in_days,
                            gint io_priority,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

### e_reap_trash_directory_finish ()

    gboolean
    e_reap_trash_directory_finish (GFile *trash_directory,
                                   GAsyncResult *result,
                                   GError **error);

## Types and Values